'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getTarget = undefined;

var _typeof2 = require('babel-runtime/helpers/typeof');

var _typeof3 = _interopRequireDefault(_typeof2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var isReactRefObj = function isReactRefObj(target) {
  if (target && (typeof target === 'undefined' ? 'undefined' : (0, _typeof3.default)(target)) === 'object') {
    return 'current' in target;
  }
  return false;
};

var findDOMElements = function findDOMElements(target) {
  if (isReactRefObj(target)) return target.current;
  if (typeof target === 'string') {
    var selection = document.querySelectorAll(target);
    if (!selection.length) selection = document.querySelectorAll('#' + target);
    if (!selection.length) {
      throw new Error('The target \'' + target + '\' could not be identified in the dom, tip: check spelling');
    }
    return selection;
  }
  return target;
};

var isArrayOrNodeList = function isArrayOrNodeList(els) {
  if (els === null) return false;
  return Array.isArray(els) || typeof els.length === 'number';
};

var getTarget = exports.getTarget = function getTarget(target) {
  var els = findDOMElements(target);
  if (isArrayOrNodeList(els)) {
    return els[0];
  }
  return els;
};