'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.toKebabCase = exports.removeAccents = exports.hasAccents = exports.toCapitalCase = exports.toCamelCase = exports.fromCamelToSnakeCase = exports.fromSnakeToCamelCase = exports.toQueryString = exports.parseQueryString = undefined;

var _qs = require('qs');

Object.defineProperty(exports, 'toQueryString', {
  enumerable: true,
  get: function get() {
    return _qs.stringify;
  }
});

var _snakeCase = require('./snake-case');

Object.defineProperty(exports, 'fromSnakeToCamelCase', {
  enumerable: true,
  get: function get() {
    return _snakeCase.fromSnakeToCamelCase;
  }
});
Object.defineProperty(exports, 'fromCamelToSnakeCase', {
  enumerable: true,
  get: function get() {
    return _snakeCase.fromCamelToSnakeCase;
  }
});

var _lodash = require('lodash.camelcase');

Object.defineProperty(exports, 'toCamelCase', {
  enumerable: true,
  get: function get() {
    return _interopRequireDefault(_lodash).default;
  }
});

var _lodash2 = require('lodash.capitalize');

Object.defineProperty(exports, 'toCapitalCase', {
  enumerable: true,
  get: function get() {
    return _interopRequireDefault(_lodash2).default;
  }
});

var _removeAccents = require('remove-accents');

Object.defineProperty(exports, 'hasAccents', {
  enumerable: true,
  get: function get() {
    return _removeAccents.has;
  }
});
Object.defineProperty(exports, 'removeAccents', {
  enumerable: true,
  get: function get() {
    return _removeAccents.remove;
  }
});

var _lodash3 = require('lodash.kebabcase');

var _lodash4 = _interopRequireDefault(_lodash3);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var parseQueryString = exports.parseQueryString = function parseQueryString(query) {
  return (0, _qs.parse)(query, { ignoreQueryPrefix: true });
};
exports.toKebabCase = _lodash4.default;